CVE-2009-2405

Impact:
Moderate
Public Date:
2009-07-22
CWE:
CWE-79
Bugzilla:
510023: CVE-2009-2405 JBoss Application Server Web Console XSS

The MITRE CVE dictionary describes this issue as:

Multiple cross-site scripting (XSS) vulnerabilities in the Web Console in the Application Server in Red Hat JBoss Enterprise Application Platform (aka JBoss EAP or JBEAP) 4.2.0 before 4.2.0.CP08, 4.2.2GA, 4.3 before 4.3.0.CP07, and 5.1.0GA allow remote attackers to inject arbitrary web script or HTML via the (1) monitorName, (2) objectName, (3) attribute, or (4) period parameter to createSnapshot.jsp, or the (5) monitorName, (6) objectName, (7) attribute, (8) threshold, (9) period, or (10) enabled parameter to createThresholdMonitor.jsp. NOTE: some of these details are obtained from third party information.

Find out more about CVE-2009-2405 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

This flaw does not affect Red Hat JBoss Enterprise Application Platform 5 or 6. Older versions of the community JBoss Application Server 5.x may be affected.

CVSS v2 metrics

Base Score 4.3
Base Metrics AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None

Find out more about Red Hat support for the Common Vulnerability Scoring System (CVSS).

Red Hat Security Errata

Platform Errata Release Date
Red Hat JBoss Enterprise Application Platform 4.3.0 for RHEL 5 Server RHSA-2009:1649 2009-12-09
Red Hat JBoss Enterprise Application Platform 4.3.0 for RHEL 4 AS RHSA-2009:1636 2009-12-09
Red Hat JBoss Enterprise Application Platform 4.2.0 for RHEL 4 AS RHSA-2009:1637 2009-12-09
Red Hat JBoss Enterprise Application Platform 4.2.0 for RHEL 5 Server RHSA-2009:1650 2009-12-10
Last Modified

CVE description copyright © 2017, The MITRE Corporation